﻿@model LoyaltyPointEngine.Model.Object.Action.ActionModel
@{

}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Edit Action</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Edit Action</h4>
            </div>
            <div class="widget-content">
                @using (Html.BeginForm(MVC.Action.Edit(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formEditAction" }))
                {
                    @Html.AntiForgeryToken()

                    if (!Html.ViewData.ModelState.IsValid)
                    {
                    <div class="alert alert-danger">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                        <i class="fa fa-times-circle"></i>
                        Error occured:
                        <br />
                        @Html.ValidationSummary()
                    </div>
                    }

                    @Html.HiddenFor(x => x.ID)
                    
                    <div class="form-group">
                        <label class="col-md-3 control-label">Action Category <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.ActionCategoryID, ViewBag.ListActionCategory as IEnumerable<SelectListItem>,
                            "", new { @class = "select2-select-00 col-md-12 full-width-fix required" })
                        </div>
                    </div>
                    
                    
                    <div class="form-group product-show">
                        <label class="col-md-3 control-label">Product <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.ProductId, ViewBag.ListProduct as IEnumerable<SelectListItem>,
                            "", new { @class = "select2-select-00 col-md-12 full-width-fix" })
                        </div>
                    </div>
                    <div class="form-group product-show">
                        <label class="col-md-3 control-label">Minimum Price</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.MinimumPrice, new { @class = "form-control", @type = "number" })
                        </div>
                    </div>
                    <div class="form-group product-show">
                        <label class="col-md-3 control-label">Alfa ID</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.ProductIdVendor, new { @class = "form-control", @type = "number" })
                        </div>
                    </div>

                    <div class="form-group product-hide">
                        <label class="col-md-3 control-label">Action Code <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Code, new { @class = "form-control required" })
                        </div>
                    </div>
                    <div class="form-group product-hide">
                        <label class="col-md-3 control-label">Action Name <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Name, new { @class = "form-control required" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Point <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Points, new { @class = "form-control required" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">ExpiredDate (in days) <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.ExpiredDate, new { @class = "form-control required" })
                        </div>
                    </div>
                    
                    <div class="form-group">
                        <label class="col-md-3 control-label">IsActive <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.CheckBoxFor(x => x.IsActive, new { @class = "form-control uniform" })
                        </div>
                    </div>
                    
                    
                    <div class="form-group">
                        <label class="col-md-3 control-label">IsHaveCapGeneration</label>
                        <div class="col-md-9">
                            @Html.CheckBoxFor(x => x.IsHaveCapGeneration, new { @class = "form-control uniform" })
                        </div>
                    </div>
                    
                    <div class="form-group cap-point">
                        <label class="col-md-3 control-label">Cap Generation <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.CapGeneration, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group cap-point">
                        <label class="col-md-3 control-label">Cap Generation Days<span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.CapGenerationDays, new { @class = "form-control" })
                        </div>
                    </div>
                    
                    
@*
              
                    <div class="form-group product-hide">
                        <label class="col-md-3 control-label">Group Code</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.GroupCode, new { @class = "form-control" })
                        </div>
                    </div>
                    
                    
                     
                    <div class="form-group product-hide">
                        <label class="col-md-3 control-label">Size</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Size, new { @class = "form-control" })
                        </div>
                    </div>*@

                    <div class="form-actions">
                        <input type="submit" value="Submit" class="btn btn-primary pull-right">
                    </div>

                }
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>
@section FooterScript{
    <script>
        
        $(document).ready(function () {


            if ('@Model.IsHaveCapGeneration' == 'True') {
                $('.cap-point').show();
            } else {
                $('.cap-point').hide();
            }

            $('#IsHaveCapGeneration').change(function () {

                if ($(this).is(':checked')) {
                    $('.cap-point').show();
                } else {
                    $('.cap-point').hide();
                }
            });



            $('#ActionCategoryID').change(function () {

                var txt = $('#ActionCategoryID option:selected').text();
                if (txt.toLowerCase() == "product") {
                    $('.product-show').show();
                    $('.product-hide').hide();
                } else {
                    $('.product-show').hide();
                    $('.product-hide').show();
                }
            });


            if ($('#ActionCategoryID option:selected').text().toLowerCase() == "product") {
                $('.product-show').show();
                $('.product-hide').hide();
            } else {
                $('.product-show').hide();
                $('.product-hide').show();
            }




            //===== Validation =====//
            //for default options, see assets/js/plugins.form-components.js (initValidation())

            $.extend($.validator.defaults, {
                invalidHandler: function (form, validator) {
                    var errors = validator.numberOfInvalids();
                    if (errors) {
                        var message = errors == 1
                        ? 'You missed 1 field. It has been highlighted.'
                        : 'You missed ' + errors + ' fields. They have been highlighted.';
                        noty({
                            text: message,
                            type: 'error',
                            timeout: 2000
                        });
                    }
                },
                errorPlacement: function (error, element) {
                    if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                        error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                    } else {
                        error.insertAfter(element)
                    }
                }
            });

            $("#formEditAction").validate();

        });
    </script>
}